<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="igchart" Namespace="Infragistics.WebUI.UltraWebChart" Assembly="Infragistics35.WebUI.UltraWebChart.v9.1, Version=9.1.20091.2101, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register TagPrefix="igchartprop" Namespace="Infragistics.UltraChart.Resources.Appearance"
    Assembly="Infragistics35.WebUI.UltraWebChart.v9.1, Version=9.1.20091.2101, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register TagPrefix="igchartdata" Namespace="Infragistics.UltraChart.Data" Assembly="Infragistics35.WebUI.UltraWebChart.v9.1, Version=9.1.20091.2101, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <igchart:UltraChart ID="UltraChart2" Border-Thickness="0" runat="server" ChartType="composite"
            OnFillSceneGraph="UltraChart1_FillSceneGraph" Width="707px" Height="200px" Style="margin-bottom: 0px;">
            <Border CornerRadius="5" DrawStyle="Solid" Raised="False" Color="LightSkyBlue" Thickness="1">
            </Border>
            <%--<TitleBottom FontSizeBestFit="false" Font="Verdana, 10pt" Text="Year" Extent="30" HorizontalAlign="Center" VerticalAlign="Far">
                                                                                            </TitleBottom>--%>
            <TitleLeft Font="Verdana, 10pt" Extent="20" Text="Amount" FontSizeBestFit="False"
                Orientation="VerticalLeftFacing" WrapText="False" HorizontalAlign="Center" VerticalAlign="Center"
                Location="Left">
                <Margins Right="0"></Margins>
            </TitleLeft>
            <TitleBottom Font="Verdana, 10pt" Text="Month" FontSizeBestFit="false" Orientation="Horizontal"
                WrapText="False" Extent="30" FontColor="Black" HorizontalAlign="Center" VerticalAlign="Far"
                Location="Bottom" Visible="true">
                <Margins Top="10" Bottom="0"></Margins>
            </TitleBottom>
            <Data SwapRowsAndColumns="true">
            </Data>
            <Tooltips Font-Bold="False" Overflow="ChartArea" Font-Italic="False" Font-Overline="False"
                Font-Strikeout="False" Font-Underline="False" Format="Custom" FormatString="&lt;ITEM_LABEL&gt; (<DATA_VALUE:C>)" />
            <CompositeChart>
                <ChartAreas>
                    <igchartprop:ChartArea Key="chartarea" Border-Thickness="0">
                        <Axes>
                            <igchartprop:AxisItem LineThickness="1" LineDrawStyle="solid" LineEndCapStyle="ArrowAnchor"
                                RangeType="Custom" RangeMax="12" DataType="string" Key="x" SetLabelAxisType="continuousData"
                                OrientationType="x_Axis" Extent="24">
                                <MajorGridLines AlphaLevel="80" Thickness="1" DrawStyle="Solid" Color="Gainsboro"
                                    Visible="true" />
                                <MinorGridLines AlphaLevel="80" Thickness="1" DrawStyle="Solid" Color="Gainsboro"
                                    Visible="true" />
                                <Labels Font="Tahoma, 8pt" FontColor="#3D3D3D" VerticalAlign="Center" WrapText="False"
                                    FontSizeBestFit="False" SeriesFormatString="$<DATA_VALUE>" ClipText="True" Flip="False"
                                    ItemFormat="ItemLabel" Orientation="Horizontal" Visible="True" OrientationAngle="0"
                                    HorizontalAlign="Near">
                                    <SeriesLabels Font="Tahoma, 7.8pt" Visible="True" FontColor="#3D3D3D" HorizontalAlign="Near"
                                        FontSizeBestFit="False" ClipText="True" FormatString="$<DATA_VALUE>" Orientation="Horizontal"
                                        WrapText="False" Flip="False" VerticalAlign="Center" OrientationAngle="0">
                                    </SeriesLabels>
                                </Labels>
                            </igchartprop:AxisItem>
                            <igchartprop:AxisItem Extent="100" LineThickness="1" LineDrawStyle="solid" LineEndCapStyle="ArrowAnchor"
                                DataType="numeric" Key="y" OrientationType="y_Axis" TickmarkStyle="smart">
                                <StripLines Interval="2" Visible="False">
                                    <PE FillGradientStyle="None" FillOpacity="255" FillStopOpacity="255" ElementType="SolidFill"
                                        Fill="Transparent" Hatch="None" Texture="LightGrain" ImageFitStyle="StretchedFit"
                                        FillStopColor="Transparent" StrokeOpacity="255" ImagePath="" Stroke="Black" StrokeWidth="1"
                                        ImageWrapMode="Tile" TextureApplication="Normal"></PE>
                                </StripLines>
                                <Labels Font="Tahoma, 8pt" FontColor="#3D3D3D" ItemFormatString="<DATA_VALUE:C>">
                                </Labels>
                                <MajorGridLines AlphaLevel="80" Thickness="1" DrawStyle="Solid" Color="Gainsboro"
                                    Visible="true" />
                                <MajorGridLines AlphaLevel="80" Thickness="1" DrawStyle="Solid" Color="Gainsboro"
                                    Visible="true" />
                            </igchartprop:AxisItem>
                        </Axes>
                    </igchartprop:ChartArea>
                </ChartAreas>
                <ChartLayers>
                    <igchartprop:ChartLayerAppearance ChartAreaKey="chartarea" AxisXKey="x" AxisYKey="y"
                        SeriesList="strict" ChartType="SplineChart" Key="strict">
                        <ChartTypeAppearances>
                            <igchartprop:SplineChartAppearance TreatDateTimeAsString="false">
                            </igchartprop:SplineChartAppearance>
                        </ChartTypeAppearances>
                    </igchartprop:ChartLayerAppearance>
                    <igchartprop:ChartLayerAppearance ChartAreaKey="chartarea" AxisXKey="x2" AxisYKey="y"
                        SeriesList="relaxed" ChartType="SplineChart" Key="relaxed">
                        <ChartTypeAppearances>
                            <igchartprop:SplineChartAppearance DrawStyle="Solid" MidPointAnchors="false">
                                <LineAppearances>
                                    <igchartprop:LineAppearance SplineTension=".5">
                                    </igchartprop:LineAppearance>
                                </LineAppearances>
                            </igchartprop:SplineChartAppearance>
                        </ChartTypeAppearances>
                    </igchartprop:ChartLayerAppearance>
                </ChartLayers>
                <Series>
                    <igchartprop:NumericSeries Key="strict">
                        <pes>
                                                                                            
                                                                                                        <igchartprop:PaintElement     StrokeOpacity="255" Fill="Green" FillOpacity="200" Stroke="black"
                                                                                                         StrokeWidth="2" />
                                                                                                         </pes>
                        <data labelcolumn="InvoiceMonth" valuecolumn="Expense" />
                    </igchartprop:NumericSeries>
                </Series>
            </CompositeChart>
        </igchart:UltraChart>
    </div>
    </form>
</body>
</html>
