﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.UltraChart.Core.Primitives;
using System.Drawing;
using Infragistics.UltraChart.Core;
using System.Collections;
using System.Data;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt1 = new DataTable();
        dt1.Columns.Add("InvoiceMonth", typeof(string));
        dt1.Columns.Add("Expense", typeof(int));


        dt1.Rows.Add("JAN", 10);
        dt1.Rows.Add("FEB", 40);
        dt1.Rows.Add("MAR", 80);
        dt1.Rows.Add("APR", 100);
        dt1.Rows.Add("MAY", 200);
        dt1.Rows.Add("JUN", 500);

        ((Infragistics.UltraChart.Resources.Appearance.NumericSeries)this.UltraChart2.Series[0]).Data.DataSource = dt1;
        this.UltraChart2.Series.DataBind();
       

    }


  
    protected void UltraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {

        Infragistics.UltraChart.Core.Primitives.PrimitiveCollection symbolicons = new Infragistics.UltraChart.Core.Primitives.PrimitiveCollection();

        foreach (Infragistics.UltraChart.Core.Primitives.Primitive p in e.SceneGraph)
        {
            Polyline poly = p as Polyline;
            if (poly != null)
            {
                Symbol s = new Symbol();
                s.icon = SymbolIcon.Circle;
                s.iconSize = SymbolIconSize.Large;
                s.PE.Fill = System.Drawing.Color.Black;
                s.point = poly.points[0].point;
                symbolicons.Add(s);
            }
        }


    }
    
}
